| optoICC

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | List of all members
optoICC.registers.icc_registers.ICCAnalogInput Class Reference
Inheritance diagram for optoICC.registers.icc_registers.ICCAnalogInput:

## Public Member Functions
def | __init__ (self, int channel=0, board=None)
def | SetVoltages_LUT (self, voltage)
def | GetVoltages_LUT (self)
def | SetValues_LUT (self, value)
def | GetValues_LUT (self)
def | SetCalCoefEnable (self, value)
def | SetUnitType_LUT (self, value)
def | GetUnitType_LUT (self, value)
def | SetExtrapolationType (self, value)
def | GetActiveUnitType (self)

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| adc_value
| unit
| minimum_current
| maximum_current
| minimum_dpt
| maximum_dpt
| cal_coef_enable
| unit_LUT
| extrapolation_type_LUT
| LUT_size
| LUT_voltages
| LUT_values
| name

## Protected Attributes
| _unitranges

## Detailed Description

    Input Channel Systems - Analog Input
    System ID: 0x58 through 0x5f

    +-------------------+------+-------------+--------------------+-------------+---------+------------------------+
    | Register Name     | Id   | Type        | Unit               | Range       | Default | Comment                |
    +===================+======+=============+====================+=============+=========+========================+
    | ADC raw value     |0x01  | uint 32-bit | Volt               |0            | 0       | Converted ADC raw value|
    +-------------------+------+-------------+--------------------+-------------+---------+------------------------+
    | Active input type |0x01  | uint 32-bit | UnitType           |0            | 0       | Read only              |
    +-------------------+------+-------------+--------------------+-------------+---------+------------------------+
    | Minimum Current   |0x02  | float 32-bit| Volt               |             | 0       |                        |
    +-------------------+------+-------------+--------------------+-------------+---------+------------------------+
    | Maximum Current   |0x03  | float 32-bit| Volt               |             | 0       |                        |
    +-------------------+------+-------------+--------------------+-------------+---------+------------------------+
    | Minimum Diopter   |0x04  | float 32-bit| Dpt                |             | 0       |                        |
    +-------------------+------+-------------+--------------------+-------------+---------+------------------------+
    | Maximum Diopter   |0x05  | float 32-bit| Dpt                |             | 0       |                        |
    +-------------------+------+-------------+--------------------+-------------+---------+------------------------+
    | Cal coef enable   |0x06  | uint 32-bit | None               |             | 0       | Enable calibrated input|
    +-------------------+------+-------------+--------------------+-------------+---------+------------------------+
    | Analog input type |0x07  | uint 32-bit | A | Dpt            |             | 0       | LUT Unit type          |
    +-------------------+------+-------------+--------------------+-------------+---------+------------------------+
    | Extrapolation type|0x08  | uint 32-bit | None               |             | 0       | constant=0 or linear=1 |
    +-------------------+------+-------------+--------------------+-------------+---------+------------------------+

    registers table 1:

    +---------------------+-------+
    | Analogue Input Unit | Value |
    +=====================+=======+
    | Current             | 0     |
    +---------------------+-------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoICC.registers.icc_registers.ICCAnalogInput.__init__ | ( |  | self,
|  | int | channel = `0`,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ GetActiveUnitType()

def optoICC.registers.icc_registers.ICCAnalogInput.GetActiveUnitType | ( |  | self | ) |

## ◆ GetUnitType_LUT()

def optoICC.registers.icc_registers.ICCAnalogInput.GetUnitType_LUT | ( |  | self,
|  |  | value
| ) |  |

## ◆ GetValues_LUT()

def optoICC.registers.icc_registers.ICCAnalogInput.GetValues_LUT | ( |  | self | ) |

## ◆ GetVoltages_LUT()

def optoICC.registers.icc_registers.ICCAnalogInput.GetVoltages_LUT | ( |  | self | ) |

## ◆ help()

def optoICC.registers.icc_registers.ICCAnalogInput.help | ( |  | ) |
| static

## ◆ SetCalCoefEnable()

def optoICC.registers.icc_registers.ICCAnalogInput.SetCalCoefEnable | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetExtrapolationType()

def optoICC.registers.icc_registers.ICCAnalogInput.SetExtrapolationType | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetUnitType_LUT()

def optoICC.registers.icc_registers.ICCAnalogInput.SetUnitType_LUT | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetValues_LUT()

def optoICC.registers.icc_registers.ICCAnalogInput.SetValues_LUT | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetVoltages_LUT()

def optoICC.registers.icc_registers.ICCAnalogInput.SetVoltages_LUT | ( |  | self,
|  |  | voltage
| ) |  |

## Member Data Documentation

## ◆ _unitranges

optoICC.registers.icc_registers.ICCAnalogInput._unitranges
| protected

## ◆ adc_value

optoICC.registers.icc_registers.ICCAnalogInput.adc_value

## ◆ cal_coef_enable

optoICC.registers.icc_registers.ICCAnalogInput.cal_coef_enable

## ◆ extrapolation_type_LUT

optoICC.registers.icc_registers.ICCAnalogInput.extrapolation_type_LUT

## ◆ LUT_size

optoICC.registers.icc_registers.ICCAnalogInput.LUT_size

## ◆ LUT_values

optoICC.registers.icc_registers.ICCAnalogInput.LUT_values

## ◆ LUT_voltages

optoICC.registers.icc_registers.ICCAnalogInput.LUT_voltages

## ◆ maximum_current

optoICC.registers.icc_registers.ICCAnalogInput.maximum_current

## ◆ maximum_dpt

optoICC.registers.icc_registers.ICCAnalogInput.maximum_dpt

## ◆ minimum_current

optoICC.registers.icc_registers.ICCAnalogInput.minimum_current

## ◆ minimum_dpt

optoICC.registers.icc_registers.ICCAnalogInput.minimum_dpt

## ◆ name

optoICC.registers.icc_registers.ICCAnalogInput.name

## ◆ sys_id

optoICC.registers.icc_registers.ICCAnalogInput.sys_id

## ◆ unit

optoICC.registers.icc_registers.ICCAnalogInput.unit

## ◆ unit_LUT

optoICC.registers.icc_registers.ICCAnalogInput.unit_LUT

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/145-713-00-OptoICC/src/main/python/optoICC/registers/icc_registers.py